Amazon

2013年8月31日土曜日

Apache Derbyをインストールする



Apache Derbyは、Javaで実装されたデータベースです。


フットプリントが2MBと軽くSQL-92やJDBC3.0をサポートしています。


セットアップも使いかたも簡単なので、ちょっとしたお試しに最適な環境です。


下記のインストール方法に従ってUbuntuにセットアップしてみます。


http://db.apache.org/derby/papers/DerbyTut/install_software.html




ダウンロード


下記のURLから" Latest Official Release"にアクセスします。


http://db.apache.org/derby/derby_downloads.html


Windows環境であればZIP形式、Linux環境であればtar.gz形式をダウンロードします。


アーカイブ形式が違うだけで中身は同じです。


ファイルの展開


ダウンロードしたファイルを適当なディレクトリに展開します。


Linux環境では、下記のように/usr/localに展開しました。



$ cd /usr/local
$ mkdir apache
$ cd apache
$ sudo tar xfz /home/ksaito/ftp/db-derby-10.3.1.4-bin.tar.gz
$


Derbyの環境設定


Derbyは、DERBY_INSTALLとCLASSPATHの2つの設定が必要です。


bashを使っている場合は、/etc/bash.bashrcに設定すると全てのユーザが利用可能になります。



$ tail -3 /etc/bash.bashrc
# Apache Derby
export DERBY_INSTALL=/usr/local/apache/db-derby-10.3.1.4-bin
export CLASSPATH=$DERBY_INSTALL/lib/derby.jar:$DERBY_INSTALL/lib/derbytools.jar:$CLASSPATH
$


動作確認


こんな感じで実行できれば、セットアップ完了です。



$ java org.apache.derby.tools.sysinfo
------------------ Java 情報 ------------------
Java バージョン: 1.6.0
Java ベンダー: Sun Microsystems Inc.
Java ホーム: /usr/lib/jvm/java-6-sun-1.6.0.00/jre
Java クラスパス: /usr/local/root/apache/db-derby-10.3.1.4-bin/lib/derby.jar:/usr/local/root/apache/db-derby-10.3.1.4-bin/lib/derbytools.jar:
OS 名: Linux
OS アーキテクチャー: i386
OS バージョン: 2.6.20-16-generic
Java ユーザー名: ksaito
Java ユーザー・ホーム: /home/ksaito
Java ユーザー dir: /home/ksaito
java.specification.name: Java Platform API Specification
java.specification.version: 1.6
--------- Derby 情報 --------
JRE - JDBC: Java SE 6 - JDBC 4.0
[/usr/local/root/apache/db-derby-10.3.1.4-bin/lib/derby.jar] 10.3.1.4 - (561794)
[/usr/local/root/apache/db-derby-10.3.1.4-bin/lib/derbytools.jar] 10.3.1.4 - (561794)
------------------------------------------------------
----------------- ロケール情報 ----------------
現行ロケール : [日本語/日本 [ja_JP]]
ロケールのサポートが見つかりました: [cs]
バージョン: 10.3.1.4 - (561794)
ロケールのサポートが見つかりました: [de_DE]
バージョン: 10.3.1.4 - (561794)
ロケールのサポートが見つかりました: [es]
バージョン: 10.3.1.4 - (561794)
ロケールのサポートが見つかりました: [fr]
バージョン: 10.3.1.4 - (561794)
ロケールのサポートが見つかりました: [hu]
バージョン: 10.3.1.4 - (561794)
ロケールのサポートが見つかりました: [it]
バージョン: 10.3.1.4 - (561794)
ロケールのサポートが見つかりました: [ja_JP]
バージョン: 10.3.1.4 - (561794)
ロケールのサポートが見つかりました: [ko_KR]
バージョン: 10.3.1.4 - (561794)
ロケールのサポートが見つかりました: [pl]
バージョン: 10.3.1.4 - (561794)
ロケールのサポートが見つかりました: [pt_BR]
バージョン: 10.3.1.4 - (561794)
ロケールのサポートが見つかりました: [ru]
バージョン: 10.3.1.4 - (561794)
ロケールのサポートが見つかりました: [zh_CN]
バージョン: 10.3.1.4 - (561794)
ロケールのサポートが見つかりました: [zh_TW]
バージョン: 10.3.1.4 - (561794)
------------------------------------------------------
$






0 件のコメント: